# class IAXControl | Wrapper class for subclasses of frames of type IAX. More...
Full name | `TelEngine::IAXControl`
Definition | `#include <libs/yiax/yateiax.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { New = 0x01, Ping = 0x02, Pong = 0x03, Ack = 0x04, Hangup = 0x05, Reject = 0x06, Accept = 0x07, AuthReq = 0x08, AuthRep = 0x09, Inval = 0x0a, LagRq = 0x0b, LagRp = 0x0c, RegReq = 0x0d, RegAuth = 0x0e, RegAck = 0x0f, RegRej = 0x10, RegRel = 0x11, VNAK = 0x12, DpReq = 0x13, DpRep = 0x14, Dial = 0x15, TxReq = 0x16, TxCnt = 0x17, TxAcc = 0x18, TxReady = 0x19, TxRel = 0x1a, TxRej = 0x1b, Quelch = 0x1c, Unquelch = 0x1d, Poke = 0x1e, MWI = 0x20, Unsupport = 0x21, Transfer = 0x22, Provision = 0x23, FwDownl = 0x24, FwData = 0x25, CallToken = 0x28, }

#### Public Static Methods

- static inline const char* typeText (int type)

## Detailed Description

This class holds the enumeration values for IAX control (subclass)

enum Type { New = 0x01, Ping = 0x02, Pong = 0x03, Ack = 0x04, Hangup = 0x05, Reject = 0x06, Accept = 0x07, AuthReq = 0x08, AuthRep = 0x09, Inval = 0x0a, LagRq = 0x0b, LagRp = 0x0c, RegReq = 0x0d, RegAuth = 0x0e, RegAck = 0x0f, RegRej = 0x10, RegRel = 0x11, VNAK = 0x12, DpReq = 0x13, DpRep = 0x14, Dial = 0x15, TxReq = 0x16, TxCnt = 0x17, TxAcc = 0x18, TxReady = 0x19, TxRel = 0x1a, TxRej = 0x1b, Quelch = 0x1c, Unquelch = 0x1d, Poke = 0x1e, MWI = 0x20, Unsupport = 0x21, Transfer = 0x22, Provision = 0x23, FwDownl = 0x24, FwData = 0x25, CallToken = 0x28, } | ### Type

IAX control (subclass) enumeration types

inline const char* typeText (int type) | ### typeText

[static]

Get the string associated with the given IAX control type

Parameters:

type | The requested type

Returns: The text if type is valid or 0

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.